From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/ffmpeg/
Date: Tue, 11 Mar 2025 09:04:05 +0000 (UTC) [thread overview]
Message-ID: <1741683798.2daa5f6b4751a2868dd9f460753f0801746dbcea.ionen@gentoo> (raw)
commit: 2daa5f6b4751a2868dd9f460753f0801746dbcea
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 9 13:09:10 2025 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Tue Mar 11 09:03:18 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2daa5f6b
media-video/ffmpeg: add 6.1.2-r1 based on 7.1.1's ebuild
Almost identical, it only loses a few options compared to live
and need to bring back the __musl__ workaround.
Also switch to a patchset tarball, filesdir was large and would
not want to copy these to media-video/ffmpeg-compat as well.
Additionally include the texinfo-7.2 patch in it wrt bug #947707,
and the missing commit wrt bug #947605 (untested).
Hopefully not overlooked anything relevant, spent less time on
this than ffmpeg-7 and "downgrading" an ebuild is awkward.
Closes: https://bugs.gentoo.org/947605
Closes: https://bugs.gentoo.org/947707
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
media-video/ffmpeg/Manifest | 1 +
media-video/ffmpeg/ffmpeg-6.1.2-r1.ebuild | 562 ++++++++++++++++++++++++++++++
2 files changed, 563 insertions(+)
diff --git a/media-video/ffmpeg/Manifest b/media-video/ffmpeg/Manifest
index c9fea26aa36a..d944fe692c4f 100644
--- a/media-video/ffmpeg/Manifest
+++ b/media-video/ffmpeg/Manifest
@@ -1,5 +1,6 @@
DIST ffmpeg-4.4.5.tar.xz 9575596 BLAKE2B 546df09f7731d22e532a18d9ba9be184283f62b7a2e9470e745e536802bc2263a00f11ed6ab0aee8fc60c5f728826311cbf3542084ba3a64b65a61d76295cd64 SHA512 70df4e63ef507a7ec76da34438142499139769728fd5130d9cf48d56c110ec82c3d6a7e6d1622da03c70167fa861d901d016bbe52c21d2b284b8a0d9f30811dc
DIST ffmpeg-4.4.5.tar.xz.asc 520 BLAKE2B 505987208ed58b548f910299adb1324e6eba655cc37e6f03cac32c8623e16a4a884e822c745fb72b1934129a8c0a2706bb8bfb785715e6a68e43f737cb8ed365 SHA512 bcfee8986681dfbefd3add741fcbbc5e223bb06c9800797e68fde968c114055ac3fc02ce8731ed269bf30c92d6c990c7f636f82d42379920012e8a0ace8d527e
+DIST ffmpeg-6.1-patchset-1.tar.xz 11296 BLAKE2B 5227d0c7f52a4f217d5517da11c2327585375c9d860f31415e1079f4f1f9186637e07c7da0e168c732cc7abb953440f0ba952395db83074588eb31bee1d5bc9f SHA512 20fe94536a5c3873d0126ff535a3bff595dedc7787162f160ecde6cbd357b9eb3749c9d7b7543aa39896ceb4e656494d31811bf26682776cdfc693fe030cd77b
DIST ffmpeg-6.1.1.tar.xz 10458600 BLAKE2B 77827ff92b47c773ed82e7b7793dbb135c370fe23501169cb1eab08ff5ede77cfd5b397e8fb1d38756812cc82277898fd5c74b7d8495842556570c0c5570daeb SHA512 fca3f8635f29182e3ae0fe843a8a53614e4b47e22c11508df3ff7cdbafbb4b5ee0d82d9b3332871f7c1032033b1cad2f67557d7c5f7f7d85e2adadca122965d5
DIST ffmpeg-6.1.1.tar.xz.asc 520 BLAKE2B 801cd976d10363d1f9fc302351b330cb57e609a266407627ef378172f28974f4a18435b8a77b9cc7a8ff7b75701185211739f685629bbda961c3588c15af1221 SHA512 0e10c1f560bab0812d759d286656593dea5940f02bb52d88d9ba7f10b12b9cc3d7aa2a41c5f7a45b319069e04dce22dc1286b3c1ba685b35cd6d04cd81c5a0f5
DIST ffmpeg-6.1.2.tar.xz 10466152 BLAKE2B ff1f2b2bb60ccc4c37b6ffda2a0e6a0be80c451dc99f6d4a99bd95a1bdc44c494d62377c53383ccfb5b818573a1971948d7db34119099dbc56d7258724831d3c SHA512 3a009184d971fc3168e1322d1d724aae787ed0e9c152d8d1813ea0b9099bda3b35c41fcabbd7b140560e7a8fa9fa1ffd7f0938432d5d498c43829fc6cc3d9e08
diff --git a/media-video/ffmpeg/ffmpeg-6.1.2-r1.ebuild b/media-video/ffmpeg/ffmpeg-6.1.2-r1.ebuild
new file mode 100644
index 000000000000..bde869a247e0
--- /dev/null
+++ b/media-video/ffmpeg/ffmpeg-6.1.2-r1.ebuild
@@ -0,0 +1,562 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic multilib-minimal toolchain-funcs
+
+FFMPEG_SOC_PATCH=ffmpeg-rpi-6.1-r3.patch
+FFMPEG_SUBSLOT=58.60.60 # avutil.avcodec.avformat SONAME
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI=(
+ https://git.ffmpeg.org/ffmpeg.git
+ https://github.com/FFmpeg/FFmpeg.git
+ )
+else
+ inherit verify-sig
+ SRC_URI="
+ https://ffmpeg.org/releases/ffmpeg-${PV}.tar.xz
+ verify-sig? ( https://ffmpeg.org/releases/ffmpeg-${PV}.tar.xz.asc )
+ ${FFMPEG_SOC_PATCH:+"
+ soc? (
+ https://dev.gentoo.org/~chewi/distfiles/${FFMPEG_SOC_PATCH}
+ verify-sig? ( https://dev.gentoo.org/~chewi/distfiles/${FFMPEG_SOC_PATCH}.asc )
+ )
+ "}
+ https://dev.gentoo.org/~ionen/distfiles/ffmpeg-$(ver_cut 1-2)-patchset-1.tar.xz
+ "
+ S=${WORKDIR}/ffmpeg-${PV} # avoid ${P}
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+fi
+
+DESCRIPTION="Complete solution to record/convert/stream audio and video"
+HOMEPAGE="https://ffmpeg.org/"
+
+[[ ${PN} == *-compat ]] && FFMPEG_UNSLOTTED= || FFMPEG_UNSLOTTED=1
+
+FFMPEG_IUSE_MAP=(
+ # [+]flag[:[^][!]opt1,...][@<v3|nonfree>]], ^ = native-only, ! = override
+ # remember to keep LICENSE, REQUIRED_USE, and RESTRICT in sync
+ X:libxcb,libxcb-shape,libxcb-shm,libxcb-xfixes,xlib
+ alsa
+ amf
+ amrenc:libvo-amrwbenc@v3
+ amr:libopencore-amrnb,libopencore-amrwb@v3
+ appkit
+ bluray:libbluray
+ bs2b:libbs2b
+ bzip2:bzlib
+ cdio:libcdio
+ chromaprint
+ codec2:libcodec2
+ cuda:cuda-llvm
+ +dav1d:libdav1d
+ doc:^htmlpages
+ +drm:libdrm
+ fdk:libfdk-aac@nonfree
+ flite:libflite
+ +fontconfig:libfontconfig
+ frei0r
+ fribidi:libfribidi
+ gcrypt
+ gme:libgme
+ gmp:@v3
+ +gnutls # unused if USE=openssl, default for bug #905113,#917627
+ +gpl
+ gsm:libgsm
+ iec61883:libiec61883
+ ieee1394:libdc1394
+ jack:libjack
+ jpeg2k:libopenjpeg
+ jpegxl:libjxl
+ kvazaar:libkvazaar
+ ladspa
+ lame:libmp3lame
+ lcms:lcms2
+ libaom
+ libaribb24:@v3 # reminder: req use on gpl unneeded if >=1.0.4 (not in tree)
+ +libass
+ libcaca
+ libilbc
+ libplacebo
+ librtmp:librtmp
+ libsoxr
+ libtesseract
+ lv2
+ lzma
+ modplug:libmodplug
+ npp:^libnpp@nonfree # no multilib
+ nvenc:cuvid,ffnvcodec,nvdec,nvenc
+ openal
+ opencl
+ opengl
+ openh264:libopenh264
+ openmpt:libopenmpt
+ openssl:openssl,!gnutls@v3ifgpl # still LGPL2.1+ if USE=-gpl
+ opus:libopus
+ +postproc # exposed as a USE for clarity with the GPL requirement
+ pulseaudio:libpulse
+ qsv:libvpl
+ rabbitmq:^librabbitmq # no multilib
+ rav1e:^librav1e # no multilib
+ rubberband:librubberband
+ samba:libsmbclient@v3 # GPL-3+ only
+ sdl:sdl2
+ shaderc:libshaderc
+ snappy:libsnappy
+ sndio
+ speex:libspeex
+ srt:libsrt
+ ssh:libssh
+ svg:librsvg
+ svt-av1:libsvtav1
+ theora:libtheora
+ +truetype:libfreetype,libharfbuzz
+ twolame:libtwolame
+ v4l:libv4l2
+ vaapi
+ vdpau
+ vidstab:libvidstab
+ vmaf:libvmaf
+ vorbis:libvorbis
+ vpx:libvpx
+ vulkan
+ webp:libwebp
+ x264:libx264
+ x265:libx265
+ +xml:libxml2
+ xvid:libxvid
+ zeromq:^libzmq # no multilib
+ zimg:libzimg
+ +zlib
+ zvbi:libzvbi
+)
+
+# all-rights is used to express the GPL incompatibility (RESTRICT=bindist)
+LICENSE="
+ gpl? (
+ GPL-2+
+ amr? ( GPL-3+ ) amrenc? ( GPL-3+ ) libaribb24? ( GPL-3+ )
+ gmp? ( GPL-3+ ) openssl? ( GPL-3+ )
+ fdk? ( all-rights-reserved ) npp? ( all-rights-reserved )
+ )
+ !gpl? (
+ LGPL-2.1+
+ amr? ( LGPL-3+ ) amrenc? ( LGPL-3+ ) libaribb24? ( LGPL-3+ )
+ gmp? ( LGPL-3+ )
+ )
+ samba? ( GPL-3+ )
+"
+[[ ${FFMPEG_UNSLOTTED} ]] && : 0 || : "$(ver_cut 1)"
+SLOT="${_}/${FFMPEG_SUBSLOT}"
+IUSE="
+ ${FFMPEG_IUSE_MAP[*]%:*}
+ ${FFMPEG_UNSLOTTED:+chromium}
+ ${FFMPEG_SOC_PATCH:+soc}
+"
+REQUIRED_USE="
+ cuda? ( nvenc )
+ fribidi? ( truetype )
+ gmp? ( !librtmp )
+ libplacebo? ( || ( sdl vulkan ) )
+ npp? ( nvenc )
+ shaderc? ( vulkan )
+ libaribb24? ( gpl ) cdio? ( gpl ) frei0r? ( gpl ) postproc? ( gpl )
+ rubberband? ( gpl ) samba? ( gpl ) vidstab? ( gpl ) x264? ( gpl )
+ x265? ( gpl ) xvid? ( gpl )
+ ${FFMPEG_UNSLOTTED:+chromium? ( opus )}
+ ${FFMPEG_SOC_PATCH:+soc? ( drm )}
+"
+RESTRICT="gpl? ( fdk? ( bindist ) npp? ( bindist ) )"
+
+# dlopen: amdgpu-pro-amf, vulkan-loader
+COMMON_DEPEND="
+ virtual/libiconv[${MULTILIB_USEDEP}]
+ X? (
+ x11-libs/libX11[${MULTILIB_USEDEP}]
+ x11-libs/libXext[${MULTILIB_USEDEP}]
+ x11-libs/libXv[${MULTILIB_USEDEP}]
+ x11-libs/libxcb:=[${MULTILIB_USEDEP}]
+ )
+ alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
+ amr? ( media-libs/opencore-amr[${MULTILIB_USEDEP}] )
+ amrenc? ( media-libs/vo-amrwbenc[${MULTILIB_USEDEP}] )
+ bluray? ( media-libs/libbluray:=[${MULTILIB_USEDEP}] )
+ bs2b? ( media-libs/libbs2b[${MULTILIB_USEDEP}] )
+ bzip2? ( app-arch/bzip2[${MULTILIB_USEDEP}] )
+ cdio? ( dev-libs/libcdio-paranoia:=[${MULTILIB_USEDEP}] )
+ chromaprint? ( media-libs/chromaprint:=[${MULTILIB_USEDEP}] )
+ codec2? ( media-libs/codec2:=[${MULTILIB_USEDEP}] )
+ dav1d? ( media-libs/dav1d:=[${MULTILIB_USEDEP}] )
+ drm? ( x11-libs/libdrm[${MULTILIB_USEDEP}] )
+ fdk? ( media-libs/fdk-aac:=[${MULTILIB_USEDEP}] )
+ flite? ( app-accessibility/flite[${MULTILIB_USEDEP}] )
+ fontconfig? ( media-libs/fontconfig[${MULTILIB_USEDEP}] )
+ frei0r? ( media-plugins/frei0r-plugins[${MULTILIB_USEDEP}] )
+ fribidi? ( dev-libs/fribidi[${MULTILIB_USEDEP}] )
+ gcrypt? ( dev-libs/libgcrypt:=[${MULTILIB_USEDEP}] )
+ gme? ( media-libs/game-music-emu[${MULTILIB_USEDEP}] )
+ gmp? ( dev-libs/gmp:=[${MULTILIB_USEDEP}] )
+ gnutls? ( !openssl? (
+ net-libs/gnutls:=[${MULTILIB_USEDEP}]
+ ) )
+ gsm? ( media-sound/gsm[${MULTILIB_USEDEP}] )
+ iec61883? (
+ media-libs/libiec61883[${MULTILIB_USEDEP}]
+ sys-libs/libavc1394[${MULTILIB_USEDEP}]
+ sys-libs/libraw1394[${MULTILIB_USEDEP}]
+ )
+ ieee1394? (
+ media-libs/libdc1394:2=[${MULTILIB_USEDEP}]
+ sys-libs/libraw1394[${MULTILIB_USEDEP}]
+ )
+ jack? ( virtual/jack[${MULTILIB_USEDEP}] )
+ jpeg2k? ( media-libs/openjpeg:2=[${MULTILIB_USEDEP}] )
+ jpegxl? ( media-libs/libjxl:=[$MULTILIB_USEDEP] )
+ kvazaar? ( media-libs/kvazaar:=[${MULTILIB_USEDEP}] )
+ lame? ( media-sound/lame[${MULTILIB_USEDEP}] )
+ lcms? ( media-libs/lcms:2[$MULTILIB_USEDEP] )
+ libaom? ( media-libs/libaom:=[${MULTILIB_USEDEP}] )
+ libaribb24? ( media-libs/aribb24[${MULTILIB_USEDEP}] )
+ libass? ( media-libs/libass:=[${MULTILIB_USEDEP}] )
+ libcaca? ( media-libs/libcaca[${MULTILIB_USEDEP}] )
+ libilbc? ( media-libs/libilbc:=[${MULTILIB_USEDEP}] )
+ libplacebo? ( media-libs/libplacebo:=[$MULTILIB_USEDEP] )
+ librtmp? ( media-video/rtmpdump[${MULTILIB_USEDEP}] )
+ libsoxr? ( media-libs/soxr[${MULTILIB_USEDEP}] )
+ libtesseract? ( app-text/tesseract:=[${MULTILIB_USEDEP}] )
+ lv2? (
+ media-libs/lilv[${MULTILIB_USEDEP}]
+ media-libs/lv2[${MULTILIB_USEDEP}]
+ )
+ lzma? ( app-arch/xz-utils[${MULTILIB_USEDEP}] )
+ modplug? ( media-libs/libmodplug[${MULTILIB_USEDEP}] )
+ npp? ( dev-util/nvidia-cuda-toolkit:= )
+ openal? ( media-libs/openal[${MULTILIB_USEDEP}] )
+ opencl? ( virtual/opencl[${MULTILIB_USEDEP}] )
+ opengl? ( media-libs/libglvnd[X,${MULTILIB_USEDEP}] )
+ openh264? ( media-libs/openh264:=[${MULTILIB_USEDEP}] )
+ openmpt? ( media-libs/libopenmpt[${MULTILIB_USEDEP}] )
+ openssl? ( >=dev-libs/openssl-3:=[${MULTILIB_USEDEP}] )
+ opus? ( media-libs/opus[${MULTILIB_USEDEP}] )
+ pulseaudio? ( media-libs/libpulse[${MULTILIB_USEDEP}] )
+ qsv? ( media-libs/libvpl:=[${MULTILIB_USEDEP}] )
+ rabbitmq? ( net-libs/rabbitmq-c:= )
+ rav1e? ( >=media-video/rav1e-0.5:=[capi] )
+ rubberband? ( media-libs/rubberband:=[${MULTILIB_USEDEP}] )
+ samba? ( net-fs/samba:=[client,${MULTILIB_USEDEP}] )
+ sdl? ( media-libs/libsdl2[sound(+),video(+),${MULTILIB_USEDEP}] )
+ shaderc? ( media-libs/shaderc[${MULTILIB_USEDEP}] )
+ snappy? ( app-arch/snappy:=[${MULTILIB_USEDEP}] )
+ sndio? ( media-sound/sndio:=[${MULTILIB_USEDEP}] )
+ speex? ( media-libs/speex[${MULTILIB_USEDEP}] )
+ srt? ( net-libs/srt:=[${MULTILIB_USEDEP}] )
+ ssh? ( net-libs/libssh:=[sftp,${MULTILIB_USEDEP}] )
+ svg? (
+ dev-libs/glib:2[${MULTILIB_USEDEP}]
+ >=gnome-base/librsvg-2.52:2[${MULTILIB_USEDEP}]
+ x11-libs/cairo[${MULTILIB_USEDEP}]
+ )
+ svt-av1? ( >=media-libs/svt-av1-0.9:=[${MULTILIB_USEDEP}] )
+ theora? ( media-libs/libtheora[encode,${MULTILIB_USEDEP}] )
+ truetype? (
+ media-libs/freetype:2[${MULTILIB_USEDEP}]
+ media-libs/harfbuzz:=[${MULTILIB_USEDEP}]
+ )
+ twolame? ( media-sound/twolame[${MULTILIB_USEDEP}] )
+ v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
+ vaapi? ( media-libs/libva:=[X?,${MULTILIB_USEDEP}] )
+ vdpau? (
+ x11-libs/libX11[${MULTILIB_USEDEP}]
+ x11-libs/libvdpau[${MULTILIB_USEDEP}]
+ )
+ vidstab? ( media-libs/vidstab[${MULTILIB_USEDEP}] )
+ vmaf? ( media-libs/libvmaf:=[${MULTILIB_USEDEP}] )
+ vorbis? ( media-libs/libvorbis[${MULTILIB_USEDEP}] )
+ vpx? ( media-libs/libvpx:=[${MULTILIB_USEDEP}] )
+ vulkan? ( media-libs/vulkan-loader[${MULTILIB_USEDEP}] )
+ webp? ( media-libs/libwebp:=[${MULTILIB_USEDEP}] )
+ x264? ( media-libs/x264:=[${MULTILIB_USEDEP}] )
+ x265? ( media-libs/x265:=[${MULTILIB_USEDEP}] )
+ xml? ( dev-libs/libxml2[${MULTILIB_USEDEP}] )
+ xvid? ( media-libs/xvid[${MULTILIB_USEDEP}] )
+ zeromq? ( net-libs/zeromq:= )
+ zimg? ( media-libs/zimg[${MULTILIB_USEDEP}] )
+ zlib? ( sys-libs/zlib[${MULTILIB_USEDEP}] )
+ zvbi? ( media-libs/zvbi[${MULTILIB_USEDEP}] )
+ ${FFMPEG_SOC_PATCH:+"
+ soc? ( virtual/libudev:=[${MULTILIB_USEDEP}] )
+ "}
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ amf? ( media-video/amdgpu-pro-amf )
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ X? ( x11-base/xorg-proto )
+ amf? ( media-libs/amf-headers )
+ kernel_linux? ( >=sys-kernel/linux-headers-6 )
+ ladspa? ( media-libs/ladspa-sdk )
+ nvenc? ( >=media-libs/nv-codec-headers-12.1.14.0 )
+ opencl? ( dev-util/opencl-headers )
+ vulkan? ( dev-util/vulkan-headers )
+"
+BDEPEND="
+ app-alternatives/awk
+ dev-lang/perl
+ virtual/pkgconfig
+ amd64? (
+ || (
+ dev-lang/nasm
+ dev-lang/yasm
+ )
+ )
+ cuda? ( llvm-core/clang:*[llvm_targets_NVPTX] )
+ doc? ( sys-apps/texinfo )
+"
+[[ ${PV} != 9999 ]] &&
+ BDEPEND+="
+ verify-sig? (
+ sec-keys/openpgp-keys-ffmpeg
+ ${FFMPEG_SOC_PATCH:+"
+ soc? ( >=sec-keys/openpgp-keys-gentoo-developers-20240708 )
+ "}
+ )
+ "
+
+DOCS=( CREDITS Changelog README.md doc/APIchanges )
+[[ ${PV} != 9999 ]] && DOCS+=( RELEASE_NOTES )
+
+MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/libavutil/avconfig.h
+)
+
+PATCHES=(
+ "${WORKDIR}"/patches
+)
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] || return
+
+ if use chromaprint && has_version 'media-libs/chromaprint[tools]'; then
+ ewarn "media-libs/chromaprint is installed with USE=tools which links to"
+ ewarn "ffmpeg, and USE=chromaprint is enabled on ffmpeg which links to"
+ ewarn "chromaprint (circular). This may cause issues when updating ffmpeg."
+ ewarn
+ ewarn "If get a build failure with 'ERROR: chromaprint not found' or so,"
+ ewarn "first rebuild chromaprint with USE=-tools, then rebuild ffmpeg, and"
+ ewarn "then finally rebuild chromaprint with USE=tools again (bug #862996)."
+ fi
+
+ [[ ${EXTRA_FFMPEG_CONF} ]] && # drop this eventually
+ die "EXTRA_FFMPEG_CONF is set in the environment, please use EXTRA_ECONF instead"
+}
+
+src_unpack() {
+ if [[ ${PV} == 9999 ]]; then
+ git-r3_src_unpack
+ else
+ if use verify-sig; then
+ verify-sig_verify_detached "${DISTDIR}"/ffmpeg-${PV}.tar.xz{,.asc} \
+ "${BROOT}"/usr/share/openpgp-keys/ffmpeg.asc
+ in_iuse soc && use soc &&
+ verify-sig_verify_detached "${DISTDIR}"/${FFMPEG_SOC_PATCH}{,.asc} \
+ "${BROOT}"/usr/share/openpgp-keys/gentoo-developers.asc
+ fi
+ default
+ fi
+}
+
+src_prepare() {
+ in_iuse chromium && PATCHES+=( "${FILESDIR}"/chromium-r3.patch )
+ in_iuse soc && use soc && PATCHES+=( "${DISTDIR}"/${FFMPEG_SOC_PATCH} )
+
+ default
+
+ # respect user preferences
+ sed -i '/cflags -fdiagnostics-color/d' configure || die
+
+ # handle *FLAGS here to avoid repeating for each ABI below (bug #923491)
+ FFMPEG_ENABLE_LTO=
+ if tc-is-lto; then
+ : "$(get-flag flto)" # get -flto=<val> (e.g. =thin)
+ FFMPEG_ENABLE_LTO=--enable-lto${_#-flto}
+ fi
+ filter-lto
+
+ use elibc_musl && append-cppflags -D__musl__ #940733
+
+ if use npp; then
+ local cuda=${ESYSROOT}/opt/cuda/targets/$(usex amd64 x86_64 sbsa)-linux
+ append-cppflags -I"${cuda}"/include
+ append-ldflags -L"${cuda}"/lib
+ fi
+}
+
+multilib_src_configure() {
+ local conf=( "${S}"/configure ) # not autotools-based
+
+ local prefix=${EPREFIX}/usr
+ if [[ ! ${FFMPEG_UNSLOTTED} ]]; then
+ prefix+=/lib/ffmpeg${SLOT%/*}
+ # could get SONAME clashes, so prefer rpath over LDPATH
+ conf+=(
+ --enable-rpath
+ --disable-doc
+ )
+ fi
+
+ conf+=(
+ --prefix="${prefix}"
+ --libdir="${prefix}"/$(get_libdir)
+ --shlibdir="${prefix}"/$(get_libdir)
+ --mandir="${prefix}"/share/man # ignoring slotted MANPATH
+ --docdir="${EPREFIX}"/usr/share/doc/${PF}/html
+
+ --ar="$(tc-getAR)"
+ --cc="$(tc-getCC)"
+ --cxx="$(tc-getCXX)"
+ --nm="$(tc-getNM)"
+ --pkg-config="$(tc-getPKG_CONFIG)"
+ --ranlib="$(tc-getRANLIB)"
+ --disable-stripping
+
+ # overrides users' -g/-O, let *FLAGS handle these
+ --disable-debug
+ --disable-optimizations
+ --optflags=' '
+
+ # pass option over *FLAGS due to special logic (bug #566282,#754654)
+ ${FFMPEG_ENABLE_LTO}
+
+ # basic defaults that should not really need a USE
+ --enable-iconv
+ --enable-pic
+ --enable-shared
+ --disable-static
+ $(multilib_native_enable manpages) # needs pod2man
+ --disable-podpages
+ --disable-txtpages
+
+ # disabled primarily due to being unpackaged
+ --disable-decklink
+ --disable-libaribcaption
+ --disable-libdavs2
+ --disable-libklvanc
+ --disable-libmysofa
+ --disable-libopenvino
+ --disable-libshine
+ --disable-libtls
+ --disable-libuavs3d
+ --disable-libxavs
+ --disable-libxavs2
+ --disable-pocketsphinx
+ --disable-rkmpp
+ --disable-vapoursynth
+
+ # disabled for other or additional reasons
+ --disable-cuda-nvcc # prefer cuda-llvm for less issues
+ --disable-libcelt # obsolete (bug #664158)
+ --disable-libglslang # prefer USE=shaderc (bug #918989,#920283,#922333)
+ --disable-liblensfun # https://trac.ffmpeg.org/ticket/9112 (abandoned?)
+ --disable-libmfx # prefer libvpl for USE=qsv
+ --disable-libopencv # leaving for later due to circular opencv[ffmpeg]
+ --disable-librist # librist itself needs attention first (bug #822012)
+ --disable-libtensorflow # causes headaches, and is gone
+ --disable-mbedtls # messy with slots, tests underlinking issues
+ --disable-mmal # prefer USE=soc
+ --disable-omx # unsupported (bug #653386)
+ --disable-omx-rpi # ^
+
+ # to avoid obscure issues like bug #915384 and simplify the ebuild,
+ # not passing the following (use EXTRA_ECONF if really must):
+ # --cpu: adds -march=<exact> after the user's more adapted
+ # =native, its logic also does not account for -mno-*
+ # --disable/enable-<cpufeature>: safer to detect at runtime
+ )
+
+ in_iuse soc && use soc &&
+ conf+=(
+ --disable-epoxy
+ --enable-libudev
+ --enable-sand
+ --enable-v4l2-request
+ )
+
+ # broken on x32 (bug #427004), and not PIC safe on x86 (bug #916067)
+ [[ ${ABI} == @(x32|x86) ]] && conf+=( --disable-asm )
+
+ if tc-is-cross-compiler; then
+ conf+=(
+ --enable-cross-compile
+ --arch="$(tc-arch-kernel)"
+ --cross-prefix="${CHOST}-"
+ --host-cc="$(tc-getBUILD_CC)"
+ )
+ case ${CHOST} in
+ *mingw32*) conf+=( --target-os=mingw32 );;
+ *linux*) conf+=( --target-os=linux );;
+ esac
+ fi
+
+ # import options from FFMPEG_IUSE_MAP
+ local flag license mod v
+ local -A optmap=() licensemap=()
+ for v in "${FFMPEG_IUSE_MAP[@]}"; do
+ [[ ${v} =~ \+?([^:]+):?([^@]*)@?(.*) ]] || die "${v}"
+ flag=${BASH_REMATCH[1]}
+ license=${BASH_REMATCH[3]}
+ v=${BASH_REMATCH[2]:-${flag}}
+ for v in ${v//,/ }; do
+ mod=${v::1}
+ v=${v#[\!\^]}
+ if [[ ${mod} == '!' ]]; then
+ if use ${flag}; then
+ optmap[${v}]=--disable-${v}
+ unset licensemap[${v}]
+ fi
+ elif [[ ! -v optmap[${v}] ]]; then
+ if [[ ${mod} == '^' ]]; then
+ optmap[${v}]=$(multilib_native_use_enable ${flag} ${v})
+ else
+ optmap[${v}]=$(use_enable ${flag} ${v})
+ fi
+ use ${flag} && licensemap[${v}]=${license}
+ fi
+ done
+ done
+ for license in "${licensemap[@]}"; do
+ case ${license} in
+ v3ifgpl) use gpl || continue ;&
+ v3) optmap[v3]=--enable-version3 ;;
+ nonfree) use gpl && optmap[nonfree]=--enable-nonfree ;;
+ esac
+ done
+ conf+=(
+ "${optmap[@]}"
+ ${EXTRA_ECONF}
+ )
+
+ einfo "${conf[*]}" # no edo.eclass due to noisy long command in errors
+ "${conf[@]}" || die "configure failed, see ${BUILD_DIR}/ffbuild/config.log"
+}
+
+multilib_src_compile() {
+ emake V=1
+ in_iuse chromium && use chromium && multilib_is_native_abi &&
+ emake V=1 libffmpeg
+}
+
+multilib_src_test() {
+ local -x LD_LIBRARY_PATH=$(printf %s: "${BUILD_DIR}"/lib*)${LD_LIBRARY_PATH}
+ emake V=1 -k fate
+}
+
+multilib_src_install() {
+ emake V=1 DESTDIR="${D}" install
+ in_iuse chromium && use chromium && multilib_is_native_abi &&
+ emake V=1 DESTDIR="${D}" install-libffmpeg
+}
next reply other threads:[~2025-03-11 9:04 UTC|newest]
Thread overview: 641+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-03-11 9:04 Ionen Wolkens [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-08 6:16 [gentoo-commits] repo/gentoo:master commit in: media-video/ffmpeg/ Ionen Wolkens
2025-05-05 9:18 Ionen Wolkens
2025-04-27 1:00 Ionen Wolkens
2025-04-25 10:11 Arthur Zamarin
2025-04-25 9:51 Sam James
2025-04-25 9:51 Sam James
2025-04-25 9:51 Sam James
2025-04-25 9:51 Sam James
2025-04-25 9:51 Sam James
2025-04-23 13:25 Ionen Wolkens
2025-04-23 12:38 Ionen Wolkens
2025-04-01 2:30 Ionen Wolkens
2025-04-01 2:30 Ionen Wolkens
2025-03-29 7:12 Ionen Wolkens
2025-03-28 4:27 Ionen Wolkens
2025-03-16 18:04 Ionen Wolkens
2025-03-16 4:48 Ionen Wolkens
2025-03-16 2:42 Ionen Wolkens
2025-03-13 6:10 Ionen Wolkens
2025-03-13 4:24 Ionen Wolkens
2025-03-11 23:25 James Le Cuirot
2025-03-11 9:04 Ionen Wolkens
2025-03-02 8:21 Sam James
2025-02-14 5:18 Sam James
2025-02-14 5:18 Sam James
2025-01-06 2:16 Sam James
2024-12-20 9:39 James Le Cuirot
2024-12-10 5:30 Sam James
2024-12-07 11:26 Arthur Zamarin
2024-12-07 6:34 Arthur Zamarin
2024-12-07 6:34 Arthur Zamarin
2024-12-07 6:34 Arthur Zamarin
2024-11-25 20:07 Sam James
2024-11-10 13:31 Andreas Sturmlechner
2024-11-02 1:42 Sam James
2024-11-01 20:42 Sam James
2024-11-01 20:42 Sam James
2024-11-01 17:50 Arthur Zamarin
2024-11-01 17:50 Arthur Zamarin
2024-11-01 17:39 Arthur Zamarin
2024-11-01 17:39 Arthur Zamarin
2024-11-01 16:56 Andreas K. Hüttel
2024-09-26 7:17 Joonas Niilola
2024-08-29 3:51 Sam James
2024-08-29 3:51 Sam James
2024-08-29 3:51 Sam James
2024-08-13 4:55 Michał Górny
2024-07-21 2:17 Sam James
2024-07-20 22:34 Sam James
2024-07-20 22:34 Sam James
2024-07-20 7:39 Arthur Zamarin
2024-07-20 5:52 Arthur Zamarin
2024-07-20 5:52 Arthur Zamarin
2024-07-20 5:52 Arthur Zamarin
2024-07-20 5:52 Arthur Zamarin
2024-07-20 5:52 Arthur Zamarin
2024-07-20 5:52 Arthur Zamarin
2024-07-20 5:07 Sam James
2024-07-20 5:07 Sam James
2024-07-20 5:07 Sam James
2024-07-20 5:07 Sam James
2024-07-20 4:09 Sam James
2024-07-20 4:09 Sam James
2024-07-14 15:34 James Le Cuirot
2024-07-07 0:36 Sam James
2024-07-07 0:34 Sam James
2024-07-07 0:34 Sam James
2024-07-07 0:34 Sam James
2024-06-04 6:56 Sam James
2024-06-04 3:26 Sam James
2024-05-28 12:11 Michał Górny
2024-04-25 21:52 James Le Cuirot
2024-04-07 19:20 Arthur Zamarin
2024-03-27 23:11 Sam James
2024-03-16 8:38 Joonas Niilola
2024-03-12 3:37 Sam James
2024-03-12 3:37 Sam James
2024-03-12 3:37 Sam James
2024-03-12 3:37 Sam James
2024-03-07 19:55 Andrew Ammerlaan
2024-03-04 11:27 Sam James
2024-03-04 11:19 Sam James
2024-03-04 11:13 Sam James
2024-03-04 11:13 Sam James
2024-02-21 23:31 James Le Cuirot
2024-02-18 9:26 James Le Cuirot
2024-02-13 21:13 James Le Cuirot
2024-02-10 21:24 James Le Cuirot
2024-02-06 4:02 Sam James
2024-02-06 4:00 Sam James
2024-01-24 8:35 Michał Górny
2024-01-23 18:45 Sam James
2024-01-19 13:34 Michał Górny
2024-01-15 3:32 Ionen Wolkens
2024-01-15 3:32 Ionen Wolkens
2024-01-15 3:32 Ionen Wolkens
2024-01-14 4:53 Sam James
2024-01-08 12:50 Sam James
2024-01-08 12:50 Sam James
2024-01-08 12:41 Sam James
2024-01-08 9:48 Sam James
2024-01-07 9:05 Sam James
2024-01-07 9:05 Sam James
2024-01-04 5:41 Ionen Wolkens
2024-01-03 6:39 Sam James
2024-01-03 6:39 Sam James
2024-01-02 6:00 Sam James
2023-12-28 4:35 Sam James
2023-12-28 4:35 Sam James
2023-12-28 4:35 Sam James
2023-12-22 15:14 Arthur Zamarin
2023-12-18 15:14 Arthur Zamarin
2023-12-18 15:14 Arthur Zamarin
2023-12-18 15:14 Arthur Zamarin
2023-12-18 15:14 Arthur Zamarin
2023-12-18 15:14 Arthur Zamarin
2023-12-18 15:14 Arthur Zamarin
2023-12-18 6:57 Sam James
2023-12-18 6:35 Sam James
2023-12-18 6:14 Sam James
2023-12-09 21:25 James Le Cuirot
2023-12-09 18:48 Ulrich Müller
2023-12-03 23:20 James Le Cuirot
2023-11-23 8:16 Ionen Wolkens
2023-11-22 17:44 Sam James
2023-11-22 17:44 Sam James
2023-11-22 17:44 Sam James
2023-11-14 11:42 Sam James
2023-11-13 4:59 Sam James
2023-11-13 4:59 Sam James
2023-10-27 15:20 Michał Górny
2023-10-21 16:10 Joonas Niilola
2023-10-21 16:10 Joonas Niilola
2023-10-14 10:31 Sam James
2023-10-14 10:30 Sam James
2023-10-14 10:30 Sam James
2023-10-14 10:30 Sam James
2023-09-25 1:50 Sam James
2023-09-24 22:15 Sam James
2023-09-24 22:01 Sam James
2023-08-30 2:37 Sam James
2023-08-13 17:56 Andreas Sturmlechner
2023-08-02 18:20 Sam James
2023-07-27 9:39 Sam James
2023-07-26 4:08 Sam James
2023-07-26 4:08 Sam James
2023-07-16 18:46 Sam James
2023-06-24 9:17 Sam James
2023-06-23 19:07 Fabian Groffen
2023-06-10 21:02 Sam James
2023-06-10 21:02 Sam James
2023-06-10 21:02 Sam James
2023-06-10 20:33 Sam James
2023-06-10 10:25 Sam James
2023-06-07 19:21 Arthur Zamarin
2023-06-02 11:07 Arthur Zamarin
2023-06-01 16:55 Arthur Zamarin
2023-06-01 16:54 Arthur Zamarin
2023-06-01 16:44 Arthur Zamarin
2023-06-01 16:44 Arthur Zamarin
2023-06-01 16:43 Arthur Zamarin
2023-06-01 16:43 Arthur Zamarin
2023-06-01 16:42 Arthur Zamarin
2023-06-01 16:42 Arthur Zamarin
2023-06-01 16:42 Arthur Zamarin
2023-06-01 16:42 Arthur Zamarin
2023-06-01 6:45 Sam James
2023-05-29 21:24 Sam James
2023-05-29 21:24 Sam James
2023-05-29 13:11 Andreas Sturmlechner
2023-05-23 2:52 Sam James
2023-05-13 22:52 Sam James
2023-04-23 7:05 Sam James
2023-04-22 8:55 Andrew Ammerlaan
2023-04-13 8:15 Sam James
2023-04-13 8:15 Sam James
2023-03-31 11:59 Arthur Zamarin
2023-03-21 21:33 Andrew Ammerlaan
2023-03-12 18:53 Craig Andrews
2023-02-14 4:12 Sam James
2023-01-13 12:37 Arthur Zamarin
2022-12-14 23:02 Sam James
2022-12-11 16:53 Sam James
2022-12-06 18:09 Andrew Ammerlaan
2022-12-02 17:23 Arthur Zamarin
2022-12-02 13:21 Arthur Zamarin
2022-11-29 6:58 Jakov Smolić
2022-11-29 6:58 Jakov Smolić
2022-11-25 11:54 Arthur Zamarin
2022-11-25 11:54 Arthur Zamarin
2022-11-25 11:54 Arthur Zamarin
2022-11-25 11:53 Arthur Zamarin
2022-11-25 10:05 Arthur Zamarin
2022-11-25 6:09 Sam James
2022-11-25 5:33 Sam James
2022-11-25 5:23 Sam James
2022-11-12 18:08 Matt Turner
2022-11-12 17:48 Matt Turner
2022-11-12 17:48 Matt Turner
2022-10-13 2:38 Sam James
2022-10-12 23:58 Sam James
2022-10-10 15:32 John Helmert III
2022-10-10 15:32 John Helmert III
2022-10-10 7:01 Agostino Sarubbo
2022-10-10 6:59 Agostino Sarubbo
2022-10-10 6:58 Agostino Sarubbo
2022-10-10 6:56 Agostino Sarubbo
2022-10-10 6:55 Agostino Sarubbo
2022-10-10 6:53 Agostino Sarubbo
2022-10-10 6:52 Agostino Sarubbo
2022-10-09 23:19 Sam James
2022-10-09 23:19 Sam James
2022-10-09 23:10 Sam James
2022-10-04 13:06 Alexis Ballier
2022-09-27 21:22 Sam James
2022-09-01 12:29 Alexis Ballier
2022-08-28 15:20 Craig Andrews
2022-08-21 2:40 Sam James
2022-08-03 5:43 Joonas Niilola
2022-07-29 4:17 Sam James
2022-07-26 5:12 Sam James
2022-07-21 2:53 Matt Turner
2022-06-23 5:49 Sam James
2022-06-03 11:01 Joonas Niilola
2022-06-01 8:13 Agostino Sarubbo
2022-06-01 8:12 Agostino Sarubbo
2022-06-01 8:09 Agostino Sarubbo
2022-06-01 8:09 Agostino Sarubbo
2022-06-01 7:31 Sam James
2022-06-01 5:25 Sam James
2022-05-30 13:18 Fabian Groffen
2022-05-03 3:22 Sam James
2022-05-03 3:20 Sam James
2022-05-03 1:12 Sam James
2022-04-07 23:52 Sam James
2022-04-05 22:26 Sam James
2022-04-05 6:57 Sam James
2022-04-05 6:57 Sam James
2022-03-26 14:20 Joonas Niilola
2022-03-26 14:20 Joonas Niilola
2022-03-20 13:13 Joonas Niilola
2022-03-13 11:43 David Seifert
2022-02-06 22:42 Sam James
2022-01-19 1:15 Sam James
2022-01-15 22:24 Sam James
2022-01-14 13:59 Sam James
2022-01-14 13:58 Sam James
2021-12-19 23:10 Sam James
2021-12-17 12:00 Sam James
2021-12-17 12:00 Sam James
2021-12-17 10:41 Arthur Zamarin
2021-12-17 9:20 Jakov Smolić
2021-12-17 9:20 Jakov Smolić
2021-12-17 7:33 Arthur Zamarin
2021-10-26 6:09 Sam James
2021-10-26 4:35 Sam James
2021-10-25 1:06 Sam James
2021-07-10 17:28 Sam James
2021-06-07 6:25 Sergei Trofimovich
2021-05-30 10:13 Sam James
2021-05-16 12:50 Sam James
2021-05-15 18:02 Sam James
2021-05-15 17:59 Sam James
2021-05-14 6:42 Agostino Sarubbo
2021-05-12 20:12 Agostino Sarubbo
2021-05-12 7:58 Agostino Sarubbo
2021-05-09 7:37 Sam James
2021-05-03 10:07 Mikle Kolyada
2021-04-30 18:07 Thomas Deutschmann
2021-04-30 18:07 Thomas Deutschmann
2021-04-09 13:01 Alexis Ballier
2021-03-29 14:50 Sam James
2021-03-22 10:07 David Seifert
2021-02-26 21:56 Sam James
2021-02-26 8:48 Mikle Kolyada
2021-02-25 8:41 Sergei Trofimovich
2021-02-25 8:36 Sergei Trofimovich
2021-02-25 8:19 Sergei Trofimovich
2021-02-22 11:05 Sam James
2021-02-22 7:25 Sam James
2021-02-21 19:21 Thomas Deutschmann
2020-12-21 9:41 Sergei Trofimovich
2020-12-10 20:21 Matt Turner
2020-11-28 11:26 Sergei Trofimovich
2020-10-22 17:02 Alexis Ballier
2020-10-09 8:36 Agostino Sarubbo
2020-10-08 2:30 Sam James
2020-10-07 20:16 Sam James
2020-10-07 18:52 Sam James
2020-10-07 18:50 Sam James
2020-10-07 17:07 Sam James
2020-10-07 17:07 Sam James
2020-10-04 1:04 Thomas Deutschmann
2020-08-31 9:10 Alexis Ballier
2020-08-12 22:17 Thomas Deutschmann
2020-08-05 15:30 Alexis Ballier
2020-07-23 15:19 Alexis Ballier
2020-07-23 5:15 Kent Fredric
2020-07-21 23:15 Kent Fredric
2020-07-19 15:48 Sam James
2020-07-19 1:47 Sam James
2020-07-18 13:31 Sam James
2020-07-18 0:29 Sam James
2020-07-17 14:47 Sam James
2020-07-17 3:20 Sam James
2020-07-17 0:46 Sam James
2020-07-16 13:00 Sam James
2020-07-12 8:29 Sergei Trofimovich
2020-07-12 1:51 Sam James
2020-07-11 20:16 Sam James
2020-07-08 13:58 Alexis Ballier
2020-07-08 13:58 Alexis Ballier
2020-07-07 21:00 Sergei Trofimovich
2020-07-04 21:55 Mart Raudsepp
2020-07-04 12:36 Mart Raudsepp
2020-07-02 14:28 Alexis Ballier
2020-07-02 13:04 Alexis Ballier
2020-07-02 12:50 Alexis Ballier
2020-07-02 12:50 Alexis Ballier
2020-06-17 17:35 Thomas Deutschmann
2020-06-17 11:36 Alexis Ballier
2020-06-11 15:30 Alexis Ballier
2020-06-11 15:30 Alexis Ballier
2020-06-11 15:30 Alexis Ballier
2020-06-11 15:30 Alexis Ballier
2020-06-11 15:30 Alexis Ballier
2020-06-10 4:03 Georgy Yakovlev
2020-06-10 4:03 Georgy Yakovlev
2020-06-03 18:42 Agostino Sarubbo
2020-05-30 7:32 Sergei Trofimovich
2020-05-25 12:12 Mikle Kolyada
2020-05-25 9:36 Sergei Trofimovich
2020-05-25 9:29 Sergei Trofimovich
2020-05-23 20:06 Thomas Deutschmann
2020-05-23 20:06 Thomas Deutschmann
2020-05-09 12:25 Thomas Deutschmann
2020-05-01 13:58 Agostino Sarubbo
2020-04-26 23:44 Thomas Deutschmann
2020-04-26 5:13 Georgy Yakovlev
2020-04-25 10:41 Mikle Kolyada
2020-04-11 17:27 Mart Raudsepp
2020-04-10 9:48 Sergei Trofimovich
2020-03-25 5:24 Georgy Yakovlev
2020-03-25 5:24 Georgy Yakovlev
2020-03-22 8:54 Mikle Kolyada
2020-03-19 21:30 Sergei Trofimovich
2020-03-16 2:42 Georgy Yakovlev
2020-03-16 1:28 Georgy Yakovlev
2020-03-15 19:03 Thomas Deutschmann
2020-01-23 19:18 Matt Turner
2020-01-20 17:43 Alexis Ballier
2019-12-12 16:46 Michał Górny
2019-10-13 17:46 Matt Turner
2019-10-13 17:46 Matt Turner
2019-10-12 23:50 Matt Turner
2019-10-02 11:52 Alexis Ballier
2019-10-02 11:52 Alexis Ballier
2019-10-02 11:52 Alexis Ballier
2019-09-26 20:00 Mikle Kolyada
2019-09-16 17:42 Alexis Ballier
2019-09-14 0:55 Matt Turner
2019-09-14 0:55 Matt Turner
2019-09-06 22:28 James Le Cuirot
2019-09-02 12:00 Alexis Ballier
2019-09-02 12:00 Alexis Ballier
2019-09-02 12:00 Alexis Ballier
2019-08-19 23:14 Thomas Deutschmann
2019-08-19 16:41 Alexis Ballier
2019-08-19 16:41 Alexis Ballier
2019-08-19 16:41 Alexis Ballier
2019-08-19 16:41 Alexis Ballier
2019-08-19 16:41 Alexis Ballier
2019-07-28 14:11 Mikle Kolyada
2019-07-28 14:11 Mikle Kolyada
2019-07-28 13:53 Mikle Kolyada
2019-07-22 9:19 Mikle Kolyada
2019-07-21 16:10 Aaron Bauman
2019-07-21 8:16 Sergei Trofimovich
2019-07-18 13:11 Agostino Sarubbo
2019-07-18 10:48 Agostino Sarubbo
2019-07-18 9:57 Agostino Sarubbo
2019-07-12 13:45 Alexis Ballier
2019-07-08 12:10 Thomas Deutschmann
2019-07-08 12:10 Thomas Deutschmann
2019-06-04 18:59 Agostino Sarubbo
2019-05-21 21:50 Aaron Bauman
2019-05-21 6:31 Aaron Bauman
2019-04-17 12:21 Mikle Kolyada
2019-04-01 15:36 Alexis Ballier
2019-04-01 15:36 Alexis Ballier
2019-04-01 15:36 Alexis Ballier
2019-03-30 10:53 Alexis Ballier
2019-03-25 13:01 Alexis Ballier
2019-03-20 17:05 Markus Meier
2019-03-16 19:42 Sergei Trofimovich
2019-03-13 22:23 Sergei Trofimovich
2019-03-13 15:19 Alexis Ballier
2019-02-20 15:21 Craig Andrews
2019-02-19 13:24 Alexis Ballier
2019-02-15 18:36 Mikle Kolyada
2019-02-13 15:23 Alexis Ballier
2019-02-13 15:19 Alexis Ballier
2019-02-13 15:19 Alexis Ballier
2019-02-11 12:52 Alexis Ballier
2018-12-23 3:25 Matt Turner
2018-12-03 21:22 Craig Andrews
2018-12-02 21:43 James Le Cuirot
2018-12-02 21:43 James Le Cuirot
2018-11-27 11:54 Alexis Ballier
2018-11-26 14:16 Craig Andrews
2018-11-26 14:15 Craig Andrews
2018-11-26 14:11 Craig Andrews
2018-11-24 12:33 Sergei Trofimovich
2018-11-24 12:33 Sergei Trofimovich
2018-11-24 12:33 Sergei Trofimovich
2018-11-24 12:33 Sergei Trofimovich
2018-11-24 12:33 Sergei Trofimovich
2018-11-24 12:33 Sergei Trofimovich
2018-11-15 15:55 Lars Wendler
2018-11-06 17:15 Craig Andrews
2018-11-06 15:45 Alexis Ballier
2018-11-06 10:46 Alexis Ballier
2018-11-06 1:16 Craig Andrews
2018-11-05 21:52 Andreas Sturmlechner
2018-10-20 21:48 Michał Górny
2018-10-19 8:51 Michał Górny
2018-09-16 18:22 Andreas Sturmlechner
2018-09-16 18:22 Andreas Sturmlechner
2018-07-22 1:55 Mikle Kolyada
2018-07-19 11:08 Alexis Ballier
2018-07-19 11:08 Alexis Ballier
2018-07-17 7:33 Alexis Ballier
2018-07-09 11:22 Alexis Ballier
2018-06-21 13:36 Alexis Ballier
2018-06-11 9:59 Thomas Deutschmann
2018-05-01 11:47 Jeroen Roovers
2018-04-28 17:40 Sergei Trofimovich
2018-04-25 11:25 Alexis Ballier
2018-04-24 17:58 Aaron Bauman
2018-04-22 11:21 Alexis Ballier
2018-04-22 11:21 Alexis Ballier
2018-04-22 11:21 Alexis Ballier
2018-04-21 12:52 Alexis Ballier
2018-04-21 10:04 Alexis Ballier
2018-04-10 8:04 Alexis Ballier
2018-03-28 8:12 Alexis Ballier
2018-03-12 7:47 Matt Turner
2018-03-12 7:47 Matt Turner
2018-02-24 12:43 Alexis Ballier
2018-02-24 12:37 Alexis Ballier
2018-02-18 23:32 Sergei Trofimovich
2018-02-13 13:33 Alexis Ballier
2018-02-13 13:33 Alexis Ballier
2018-02-13 13:33 Alexis Ballier
2018-02-05 21:27 Markus Meier
2018-01-15 20:17 Andrey Utkin
2018-01-14 16:23 Thomas Deutschmann
2018-01-13 12:33 Alexis Ballier
2018-01-03 9:04 Alexis Ballier
2017-12-29 23:41 Andrey Utkin
2017-12-20 10:05 Alexis Ballier
2017-11-30 13:57 Alexis Ballier
2017-11-30 13:57 Alexis Ballier
2017-11-30 13:57 Alexis Ballier
2017-11-19 15:19 Markus Meier
2017-11-13 15:33 Manuel Rüger
2017-11-12 10:10 Sergei Trofimovich
2017-11-11 18:06 Thomas Deutschmann
2017-11-04 9:53 Alexis Ballier
2017-10-25 6:37 Sergei Trofimovich
2017-10-17 5:35 Alexis Ballier
2017-10-16 9:01 Alexis Ballier
2017-10-14 14:46 Sergei Trofimovich
2017-10-14 6:22 Markus Meier
2017-10-08 11:16 Alexis Ballier
2017-10-08 10:21 Alexis Ballier
2017-09-30 6:31 Sergei Trofimovich
2017-09-30 6:30 Sergei Trofimovich
2017-09-29 23:07 Thomas Deutschmann
2017-09-27 10:18 Manuel Rüger
2017-09-24 10:46 Sergei Trofimovich
2017-09-20 20:44 Sergei Trofimovich
2017-09-12 11:49 Alexis Ballier
2017-09-11 21:02 Thomas Deutschmann
2017-09-07 19:12 Markus Meier
2017-09-05 7:11 Tobias Klausmann
2017-09-04 13:33 Richard Freeman
2017-08-27 19:23 James Le Cuirot
2017-08-27 14:03 Sergei Trofimovich
2017-08-18 20:10 Thomas Deutschmann
2017-08-09 16:33 Richard Freeman
2017-08-08 4:33 Markus Meier
2017-08-07 20:42 Alexis Ballier
2017-08-07 20:42 Alexis Ballier
2017-07-31 7:43 Alexis Ballier
2017-07-30 14:24 Alexis Ballier
2017-07-22 21:09 Sergei Trofimovich
2017-07-15 11:29 Sergei Trofimovich
2017-06-30 5:03 Alexis Ballier
2017-06-20 8:42 Alexis Ballier
2017-06-19 16:55 Alexis Ballier
2017-06-19 16:52 Alexis Ballier
2017-06-18 11:56 Alexis Ballier
2017-06-14 9:34 Alexis Ballier
2017-06-10 20:14 Sergei Trofimovich
2017-06-10 20:14 Sergei Trofimovich
2017-05-30 8:20 Alexis Ballier
2017-05-18 13:37 Alexis Ballier
2017-05-17 7:48 Alexis Ballier
2017-05-15 15:51 Alexis Ballier
2017-04-18 13:21 Alexis Ballier
2017-04-18 12:36 Jeroen Roovers
2017-04-18 9:25 Alexis Ballier
2017-04-14 9:07 Alexis Ballier
2017-04-14 7:14 Alexis Ballier
2017-04-05 14:07 Tobias Klausmann
2017-03-20 20:24 Fabian Groffen
2017-03-04 13:37 Alexis Ballier
2017-03-02 15:52 Tobias Klausmann
2017-02-27 8:34 Alexis Ballier
2017-02-27 8:34 Alexis Ballier
2017-02-27 8:34 Alexis Ballier
2017-02-23 12:35 Michael Weber
2017-02-22 21:09 Michael Weber
2017-02-22 13:19 Jeroen Roovers
2017-02-21 12:18 Alexis Ballier
2017-02-20 19:38 Michael Weber
2017-02-20 17:06 Michael Weber
2017-02-18 8:51 Jeroen Roovers
2017-02-17 17:28 Markus Meier
2017-02-15 15:56 Agostino Sarubbo
2017-02-15 15:05 Agostino Sarubbo
2017-02-10 13:50 Alexis Ballier
2017-02-10 11:52 Alexis Ballier
2017-02-05 11:59 Jeroen Roovers
2017-01-26 21:36 Alexis Ballier
2017-01-26 21:36 Alexis Ballier
2017-01-23 9:35 Alexis Ballier
2017-01-18 10:42 Alexis Ballier
2017-01-15 22:10 Tobias Klausmann
2017-01-15 20:29 Jeroen Roovers
2017-01-13 16:53 Markus Meier
2017-01-10 14:56 Agostino Sarubbo
2017-01-06 9:17 Alexis Ballier
2016-12-24 10:33 Alexis Ballier
2016-12-06 14:46 Alexis Ballier
2016-12-06 14:46 Alexis Ballier
2016-12-04 12:00 Alexis Ballier
2016-11-28 13:40 Alexis Ballier
2016-11-28 13:28 Alexis Ballier
2016-11-28 11:06 Alexis Ballier
2016-11-14 9:33 Alexis Ballier
2016-10-28 13:00 Alexis Ballier
2016-10-15 11:47 Pacho Ramos
2016-10-15 10:25 Alexis Ballier
2016-10-15 10:25 Alexis Ballier
2016-10-03 8:51 Alexis Ballier
2016-10-03 8:51 Alexis Ballier
2016-09-29 15:15 Alexis Ballier
2016-09-19 7:58 Alexis Ballier
2016-09-05 8:58 Alexis Ballier
2016-08-26 16:59 Alexis Ballier
2016-08-12 8:20 Alexis Ballier
2016-07-01 10:31 Alexis Ballier
2016-06-27 11:12 Alexis Ballier
2016-06-09 10:32 Alexis Ballier
2016-05-12 13:48 Michael Palimaka
2016-05-11 8:45 Alexis Ballier
2016-04-30 14:18 Alexis Ballier
2016-04-30 14:18 Alexis Ballier
2016-04-21 17:28 Ian Stakenvicius
2016-03-29 14:19 Alexis Ballier
2016-03-29 14:19 Alexis Ballier
2016-03-28 7:17 Alexis Ballier
2016-03-21 8:37 Alexis Ballier
2016-03-20 11:53 Agostino Sarubbo
2016-03-19 11:35 Agostino Sarubbo
2016-03-19 10:07 Jeroen Roovers
2016-03-18 6:14 Markus Meier
2016-03-17 19:04 Tobias Klausmann
2016-03-17 11:34 Agostino Sarubbo
2016-03-16 14:09 Agostino Sarubbo
2016-03-16 14:09 Agostino Sarubbo
2016-03-15 14:04 Agostino Sarubbo
2016-03-15 13:58 Agostino Sarubbo
2016-03-11 20:09 Alexis Ballier
2016-02-24 15:38 Alexis Ballier
2016-02-24 10:39 Alexis Ballier
2016-02-23 16:44 Alexis Ballier
2016-02-15 13:50 Alexis Ballier
2016-02-15 12:24 Alexis Ballier
2016-02-15 12:22 Alexis Ballier
2016-02-15 12:17 Alexis Ballier
2016-02-15 12:17 Alexis Ballier
2016-02-15 12:17 Alexis Ballier
2016-02-15 12:17 Alexis Ballier
2016-02-15 10:38 Lars Wendler
2016-02-03 20:42 Markus Meier
2016-02-01 8:26 Alexis Ballier
2016-01-31 18:34 Pacho Ramos
2016-01-30 17:43 Tobias Klausmann
2016-01-30 16:41 Alexis Ballier
2016-01-29 11:16 Alexis Ballier
2016-01-27 15:06 Jeroen Roovers
2016-01-25 10:57 Agostino Sarubbo
2016-01-25 10:57 Agostino Sarubbo
2016-01-24 19:31 Alexis Ballier
2016-01-24 13:47 Alexis Ballier
2016-01-16 9:34 Alexis Ballier
2016-01-07 7:33 Alexis Ballier
2016-01-06 10:18 Alexis Ballier
2016-01-05 8:34 Alexis Ballier
2015-12-28 7:56 Alexis Ballier
2015-12-21 13:36 Alexis Ballier
2015-11-30 12:00 Alexis Ballier
2015-11-30 12:00 Alexis Ballier
2015-11-20 10:16 Alexis Ballier
2015-11-19 9:41 Alexis Ballier
2015-11-16 8:28 Alexis Ballier
2015-11-14 11:59 Alexis Ballier
2015-11-12 11:46 Alexis Ballier
2015-10-30 14:45 Alexis Ballier
2015-10-30 14:21 Alexis Ballier
2015-10-30 12:48 Alexis Ballier
2015-10-30 12:46 Alexis Ballier
2015-10-30 11:47 Alexis Ballier
2015-10-28 8:37 Alexis Ballier
2015-10-24 11:32 Alexis Ballier
2015-10-16 11:15 Alexis Ballier
2015-10-14 8:52 Alexis Ballier
2015-10-04 19:36 Julian Ospald
2015-09-29 14:04 Tobias Klausmann
2015-09-23 14:23 Alexis Ballier
2015-09-14 11:54 Alexis Ballier
2015-09-14 3:18 Jeroen Roovers
2015-09-13 21:27 Alexis Ballier
2015-08-24 16:57 Alexis Ballier
2015-08-22 12:45 Alexis Ballier
2015-08-22 10:06 Alexis Ballier
2015-08-22 9:53 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1741683798.2daa5f6b4751a2868dd9f460753f0801746dbcea.ionen@gentoo \
--to=ionen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox